inferenceClient.models.list()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

inferenceClient.models.list(query?: Record<string, any>): Promise<any>

Description

Lists the currently available models, and provides basic information about each one such as the owner and availability.

Request Sample

Show Request Sample
import { InferenceClient } from "@digitalocean/dots";

const inferenceClient = new InferenceClient({
    apiKey: process.env.MODEL_ACCESS_KEY!,
});

const response = await inferenceClient.models.list();

Response Example

Show Response Example
{
  "object": "list",
  "data": [
    {
      "id": "meta-llama/Meta-Llama-3.1-8B-Instruct",
      "created": 1686935002,
      "object": "model",
      "owned_by": "digitalocean"
    }
  ]
}

More Information

See /v1/models in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.